Bug 97278 - [vulkancts,HSW] all vulkancts tests assert on HSW
Summary: [vulkancts,HSW] all vulkancts tests assert on HSW
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Anuj Phogat
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-10 11:17 UTC by Mark Janes
Modified: 2016-08-15 17:04 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-08-10 11:17:57 UTC
deqp-vk: ../../../src/intel/genxml/gen75_pack.h:65: __gen_uint: Assertion `v <= max' failed.

Introduced in: c4cd0e8ecd6ab9fc427d26ba7a9a360590291d24
anv/device: Enable sample shading on gen7+

Passes all 30 min_sample_shading tests in vulkan cts.

Signed-off-by: Anuj Phogat <anuj.phogat@gmail.com>
Reviewed-by: Jason Ekstrand <jason@jlekstrand.net>


I'll disable HSW vulkan CI testing until this is resolved.
Comment 1 Anuj Phogat 2016-08-13 00:08:30 UTC
Fixed by:
commit 0294dd00ccdab2c20d5df786ba780d7e091c2ab4
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Thu Aug 11 18:25:09 2016 +0100

    anv: pipeline: gen7: fix assert in debug mode
    
    SampleMask is only 8bits long on gen7.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=97278
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
    Reviewed-by: Jason Ekstrand <jason@jlekstrand.net>
    Reviewed-by: Anuj Phogat <anuj.phogat@gmail.com>


bug/show.html.tmpl processed on Feb 19, 2017 at 20:57:24.
(provided by the Example extension).